Loading ...

【求助】exchange.IO调用Gate.io的api下单问题

Author: maxge, Created: 2020-01-06 18:00:47, Updated:

function main() { exchange.IO("currency", “BCH_USD”) //设置合约币种 var ret = exchange.IO("API", “POST”, “/api/v4/futures/btc”,’“contract”:“BCH_USD”,“size”:1,“price”:“100”,“close”:false,“tif”:“gtc”,“text”:“web”’) return ret }

我用以上自编写的代码exchange.IO下单Gate时,一直返回Futures_OP 4: 404: {“label”:“NOT_FOUND”} 或者 Futures_OP 4: argument error 报错,估计是程序格式或参数问题,求大神打救!!给个Gate的标准范文也行~~

Gate.io的API期货订单文档显示如下: Body parameter { “contract”: “BTC_USD”, “size”: 6024, “iceberg”: 0, “price”: “3765”, “tif”: “gtc”, “text”: “t-my-custom-id” }


More

maxge "symbol=BCH&size=1&price=100&tif=poc&text=Test" 是这样吗?试过了,也不行,求解

小草 看文档的例子,不是这样用的

maxge 终于可以了!是的,后面的orders要加上!正确的格式范文如下:“exchange.IO("api", "POST", "/api/v4/futures/btc/orders","contract=BTC_USD&size=1&price=8000")”,改了几十次才试出来的 -_-||

小小梦 看了下 GATE 文档 下单接口, 是不是URL 少写了,```/api/v4/futures/btc/orders``` 是不是少写了个 orders

maxge Gate.io的期货,你之前的帖子里有“条件触发订单”的范文,用的是“/api/v4/futures/price_orders”,可用!我看Gate的api文档,限价订单应该是“/api/v4/futures/btc/orders”,试过了,也不行。

小小梦 是GATE IO 现货么 ? FMZ 封装的是 ```/api2/1/private/balances```这个版本的 API exchange.IO 只能访问 这个版本的接口。是不是这个问题。